"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serve = exports.start = void 0;
const net_1 = require("net");
const portUtils_1 = require("../portUtils");
const spawn_1 = require("../../init/spawn");
async function start(options) {
    let port = options.port;
    while (!(await availablePort(options.host, port))) {
        port += 1;
    }
    serve(options, port);
    return { port };
}
exports.start = start;
function availablePort(host, port) {
    return (0, portUtils_1.checkListenable)({
        address: host,
        port,
        family: (0, net_1.isIPv4)(host) ? "IPv4" : "IPv6",
    });
}
async function serve(options, port) {
    await (0, spawn_1.wrapSpawn)("npm", ["run", "dev", "--", "-H", options.host, "-p", port], process.cwd());
}
exports.serve = serve;
